﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ILogger;
using System.ComponentModel.Composition.Hosting;
using System.ComponentModel.Composition;
using System.Reflection;

namespace AD_Explorer.Logger
{
    class LogWriter
    {
        [Import]
        private ILogWriter logger { get; set; }

        public LogWriter()
        {
            AssemblyCatalog catalog = new AssemblyCatalog(Assembly.LoadFrom(Properties.Settings.Default.LoggerAssemblyPath));
            var container = new CompositionContainer(catalog);
            container.ComposeParts(this);
        }

        public void Write(string message)
        {
            logger.WriteLog(message);
        }
    }
}