﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;
using System.Windows;

namespace AD_Explorer.View.Converters
{
    public class AdvancedViewToVisibilityConverter : IValueConverter
    {
        #region IValueConverterMembers
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            bool? visible = (bool?)value;

            if (visible.HasValue)
            {
                return visible.Value ? Visibility.Hidden : Visibility.Visible;
            }

            return null;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            Visibility vis = (Visibility)value;

            switch (vis)
            {
                case Visibility.Collapsed:
                    return null;
                case Visibility.Hidden:
                    return true;
                case Visibility.Visible:
                    return false;
            }

            return null;
        }
        #endregion
    }
}
